nxt.blockchain

## Interface ChildTransaction

- All Superinterfaces:
    AccountLedger.LedgerEventId, Transaction
  All Known Implementing Classes:
    ChildTransactionImpl

      public interface ChildTransaction
      extends Transaction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ChildTransaction.Builder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildChain` | `getChain()`
    `EncryptedMessageAppendix` | `getEncryptedMessage()`
    `EncryptToSelfMessageAppendix` | `getEncryptToSelfMessage()`
    `long` | `getFxtTransactionId()`
    `MessageAppendix` | `getMessage()`
    `PhasingAppendix` | `getPhasing()`
    `ChainTransactionId` | `getReferencedTransactionId()`

    - ### Methods inherited from interface nxt.blockchain.Transaction

      `getAmount, getAppendages, getAppendages, getAppendages, getAttachment, getBlock, getBlockId, getBlockTimestamp, getBytes, getDeadline, getECBlockHeight, getECBlockId, getExpiration, getFee, getFullHash, getFullSize, getHeight, getId, getIndex, getJSONObject, getMinimumFeeFQT, getPrunableAttachmentJSON, getPrunableBytes, getPrunableEncryptedMessage, getPrunablePlainMessage, getRecipientId, getSenderId, getSenderPublicKey, getSignature, getStringId, getTimestamp, getType, getUnsignedBytes, getVersion, isPhased, validate, verifySignature`

- - ### Method Detail

    - #### getChain

          ChildChain getChain()

      Specified by:
        `getChain` in interface `AccountLedger.LedgerEventId`
      Specified by:
        `getChain` in interface `Transaction`

    - #### getFxtTransactionId

          long getFxtTransactionId()

    - #### getReferencedTransactionId

          ChainTransactionId getReferencedTransactionId()

    - #### getMessage

          MessageAppendix getMessage()

    - #### getEncryptedMessage

          EncryptedMessageAppendix getEncryptedMessage()

    - #### getEncryptToSelfMessage

          EncryptToSelfMessageAppendix getEncryptToSelfMessage()

    - #### getPhasing

          PhasingAppendix getPhasing()